[Unstable Update x32] 2018-03-09, 13

unstable
update
manjaro32

#44

Kernel 4.9 and 4.14 updates, systemd 238.0-3.

remote packages to remove:

   linux49-broadcom-wl-6.30.223.271-67-i686.pkg.tar.xz
   linux49-headers-4.9.86-1-i686.pkg.tar.xz
   linux49-ndiswrapper-1.61-65-i686.pkg.tar.xz
   linux49-nvidia-304xx-1:304.137-26-i686.pkg.tar.xz
   linux49-nvidia-340xx-340.106-7-i686.pkg.tar.xz
   linux49-r8168-8.045.08-7-i686.pkg.tar.xz
   linux49-rt3562sta-2.4.1.1_r4-65-i686.pkg.tar.xz
   linux49-spl-0.7.5-9-i686.pkg.tar.xz
   linux49-tp_smapi-0.41-67-i686.pkg.tar.xz
   linux49-vhba-module-20161009-65-i686.pkg.tar.xz
   linux49-virtualbox-guest-modules-5.2.8-1-i686.pkg.tar.xz
   linux49-virtualbox-host-modules-5.2.8-1-i686.pkg.tar.xz
   linux49-zfs-0.7.5-9-i686.pkg.tar.xz
   ndiswrapper-utils-1.61-23-i686.pkg.tar.xz
   rt3562sta-common-2.4.1.1_r4-65-any.pkg.tar.xz
   systemd-238.0-2-i686.pkg.tar.xz
   systemd-sysvcompat-238.0-2-i686.pkg.tar.xz
   vlc-nightly-3.0.0v20180207-1-i686.pkg.tar.xz

packages to upload:

   budgie-extras-0.4.2-1-any.pkg.tar.xz
   deepin-desktop-schemas-manjaro-3.2.7-1-any.pkg.tar.xz
   libsystemd-238.0-3-i686.pkg.tar.xz
   linux414-4.14.26-1-i686.pkg.tar.xz
   linux414-acpi_call-1.1.0-24-i686.pkg.tar.xz
   linux414-bbswitch-0.8-24-i686.pkg.tar.xz
   linux414-broadcom-wl-6.30.223.271-24-i686.pkg.tar.xz
   linux414-headers-4.14.26-1-i686.pkg.tar.xz
   linux414-ndiswrapper-1.61-24-i686.pkg.tar.xz
   linux414-nvidia-304xx-1:304.137-24-i686.pkg.tar.xz
   linux414-nvidia-340xx-340.106-12-i686.pkg.tar.xz
   linux414-r8168-8.045.08-12-i686.pkg.tar.xz
   linux414-rt3562sta-2.4.1.1_r4-24-i686.pkg.tar.xz
   linux414-spl-0.7.6-2-i686.pkg.tar.xz
   linux414-tp_smapi-0.41-24-i686.pkg.tar.xz
   linux414-vhba-module-20161009-24-i686.pkg.tar.xz
   linux414-virtualbox-guest-modules-5.2.8-4-i686.pkg.tar.xz
   linux414-virtualbox-host-modules-5.2.8-4-i686.pkg.tar.xz
   linux414-zfs-0.7.6-2-i686.pkg.tar.xz
   linux49-4.9.87-1-i686.pkg.tar.xz
   linux49-acpi_call-1.1.0-68-i686.pkg.tar.xz
   linux49-bbswitch-0.8-68-i686.pkg.tar.xz
   linux49-broadcom-wl-6.30.223.271-68-i686.pkg.tar.xz
   linux49-headers-4.9.87-1-i686.pkg.tar.xz
   linux49-ndiswrapper-1.61-66-i686.pkg.tar.xz
   linux49-nvidia-304xx-1:304.137-27-i686.pkg.tar.xz
   linux49-nvidia-340xx-340.106-8-i686.pkg.tar.xz
   linux49-r8168-8.045.08-8-i686.pkg.tar.xz
   linux49-rt3562sta-2.4.1.1_r4-66-i686.pkg.tar.xz
   linux49-spl-0.7.6-2-i686.pkg.tar.xz
   linux49-tp_smapi-0.41-68-i686.pkg.tar.xz
   linux49-vhba-module-20161009-66-i686.pkg.tar.xz
   linux49-virtualbox-guest-modules-5.2.8-2-i686.pkg.tar.xz
   linux49-virtualbox-host-modules-5.2.8-2-i686.pkg.tar.xz
   linux49-zfs-0.7.6-2-i686.pkg.tar.xz
   ndiswrapper-utils-1.61-24-i686.pkg.tar.xz
   rt3562sta-common-2.4.1.1_r4-66-any.pkg.tar.xz
   systemd-238.0-3-i686.pkg.tar.xz
   systemd-sysvcompat-238.0-3-i686.pkg.tar.xz
   vlc-nightly-3.0.1v20180301-1-i686.pkg.tar.xz

#46

This seems to be affecting Chromium v65 here also.

…I updated the flags as indicated & the flicker/window shading is non existent now.


#47

I’m in the middle of building 65.0.3325.162; it might help, it might not.


#48

Probably needs a rebuild to fix encrypted root systemd-shutdown crashing issue.


#49

I haven’t noticed anything, but maybe I was not focused.


#50

I tried some reboots with different kernels in my VM and it worked fine, but I’ll rebuild anyway.

Edit: Built and pushed.


#51

No error messages on shutdown with LVM on LUKS with neither systemd 238.0-2 nor 238.0-4.

Uüdate: All kernels work after the latest unstable update batch.


#52

Upstream systemd patched the protocol error shutdown issue, which became 238.0-3 in unstable repo, and crashed on shutdown with encrypted root partition.

This was reported upstream, patched again to remedy, which became 238.0-4.

Maybe the original systemd patch was not applied to x32-unstable before the related crash was patched 12 hours later.

More importantly … all kernels working well in KDE VM here too.

Think I’ll also create a fully encrypted Manjaro32 KDE VM system, no LVM for me though, just LUKS.


#53
[2018-03-19 09:21] [ALPM] transaction started
[2018-03-19 09:21] [ALPM] upgraded manjaro-system (20180107-2.0 -> 20180318-1)
[2018-03-19 09:21] [ALPM] transaction completed
[2018-03-19 09:21] [ALPM] running 'systemd-update.hook'...
[2018-03-19 09:21] [PACMAN] starting full system upgrade
[2018-03-19 09:24] [ALPM] transaction started
[2018-03-19 09:24] [ALPM] upgraded libsystemd (238.0-4 -> 238.0-6)
[2018-03-19 09:24] [ALPM] upgraded systemd (238.0-4 -> 238.0-6)
[2018-03-19 09:24] [ALPM] upgraded harfbuzz (1.7.5-1.0 -> 1.7.6-1.0)
[2018-03-19 09:24] [ALPM] upgraded libvorbis (1.3.5-1 -> 1.3.6-1.0)
[2018-03-19 09:24] [ALPM] upgraded librsvg (2:2.42.3-1.0 -> 2:2.42.3-1.1)
[2018-03-19 09:24] [ALPM] upgraded chromium (65.0.3325.162-0 -> 65.0.3325.162-1.0)
[2018-03-19 09:24] [ALPM] upgraded dmenu-manjaro (4.7-2 -> 4.8-1)
[2018-03-19 09:24] [ALPM-SCRIPTLET] 
[2018-03-19 09:24] [ALPM-SCRIPTLET] >>> dmenu can be configured in your ~/.dmenurc file.
[2018-03-19 09:24] [ALPM-SCRIPTLET]     To change your preferred terminal command edit or add the variable 'TERMINAL_CMD'
[2018-03-19 09:24] [ALPM-SCRIPTLET]     for example: TERMINAL_CMD="lxterminal -e"
[2018-03-19 09:24] [ALPM-SCRIPTLET] 
[2018-03-19 09:24] [ALPM] upgraded firefox (59.0-2.0 -> 59.0.1-1.0)
[2018-03-19 09:24] [ALPM] upgraded harfbuzz-icu (1.7.5-1.0 -> 1.7.6-1.0)
[2018-03-19 09:24] [ALPM] upgraded manjaro-bspwm-settings (20180316-1 -> 20180317-1)
[2018-03-19 09:24] [ALPM] upgraded manjaro-release (17.1.5-1 -> 17.1.6-1)
[2018-03-19 09:24] [ALPM] upgraded systemd-sysvcompat (238.0-4 -> 238.0-6)
[2018-03-19 09:24] [ALPM] transaction completed

No problems with boot, browsers or libreoffice.


#54

All kernels boot on my LVM on LUKS encrypted disk.


#55

This topic was automatically closed after 2 days. New replies are no longer allowed.